claw::graphic::color_palette< Color > Class Template Reference

A palette of colors, for palettized images. More...

`#include <color_palette.hpp>`

## Public Types

typedef Color | color_type
| The type of the colors stored in the palette.

## Public Member Functions

| color_palette (unsigned int n)
unsigned int | size () const
color_type & | operator[] (unsigned int i)
const color_type & | operator[] (unsigned int i) const
const color_type & | operator() (unsigned int i) const

## Detailed Description

template<typename Color>
class claw::graphic::color_palette< Color >

A palette of colors, for palettized images.

Author
  Julien Jorge

Definition at line 44 of file color_palette.hpp.

## Member Typedef Documentation

## color_type

template<typename Color>

typedef Color claw::graphic::color_palette< Color >::color_type

The type of the colors stored in the palette.

Definition at line 48 of file color_palette.hpp.

The documentation for this class was generated from the following file:

- color_palette.hpp